<?php
	$target='id';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("trabajo/usuarios.php"); 
	$nombrepagina = "MODIFICAR USUARIOS";
	encabezado($target); 
	$filas=1;   
	if($filas == 1){ 
		class llamado{
	 		var $menuObj;
			function validar1($id_user){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user);
			}
			function capturar($id_user){
		  		   if($id_user==1){
				   	  $this->userObj=new all_users();
				   	  echo "<select name='id' class='inputbox'>";
				   	  $this->userObj->get_usuarios($id_user);
				   	  echo "</select>";
				   }else{
		  		   	  $this->userObj=new todos_usuarios();
				   	  echo "<select name='id' class='inputbox'>";
				   	  $this->userObj->get_usuarios($id_user);
				   	  echo "</select>";
				   }
		  	}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Actualización Usuarios ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Usuario:</td>
<td width="150" valign=top height="42" class="miTable_td">
<?
	$llamadoObj->capturar($_GET['id_user']);
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="hidden" name="id_user" value="<? echo $_GET['id_user']?>" class="inputbox" size="25">
<input type="submit" name="Buscar" value="Buscar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Buscar)){

     }else{
		class crearUsuario{
			var $consultarObj;
			var $conexionObj;
			var $estado;
		function setConsultar($id){
			$this->consultarObj=new usuarios();
			$this->consultarObj->setId($id);
		}
		function getConsultar(){
			return $this->consultarObj;
		}
		function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE id='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$row_validar=mysql_fetch_array($rst_validar);
				$nombre=$row_validar['nombre'];
				$username=$row_validar['username'];
				$pass=$row_validar['pass'];
				$usertype=$row_validar['usertype'];
				$id=$this->consultarObj->getId();
				$this->actualizarDatos($id,$nombre,$username,$pass,$usertype);
			}else{
				$msgBOX2 = "Usuario No Existe.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			}
		}
		function actualizarDatos($id,$nombre,$username,$pass,$usertype){
?><CENTER>
<form action="actualizar_datos_usuario.php" method="POST">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Datos de Usuario ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" value="<? echo $id?>" name="id" class="inputbox" size="25">
<input type="hidden" value="<? echo $_POST['id_user']?>" name="id_user" class="inputbox" size="25">
<input type="text" value="<? echo $nombre?>" name="nombre" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Nombre de Usuario:</td>
<td width="150" class="miTable_td">
<input type="text" value="<? echo $username?>" name="username" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Password:</td>
<td width="150" class="miTable_td">
<input type="password" value="<? echo $pass?>" name="pass" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Confirmar Pasword:</td>
<td width="150" class="miTable_td">
<input type="password" value="<? echo $pass?>" name="pass2" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Tipo Usuario:</td>
<td width="150" class="miTable_td">
<select name="usertype" class="inputbox">
<option value="2">Consulta</option>
<option value="1">Administrador</option>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Actualizar" value="Actualizar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearUsuarioObj=new crearUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearUsuarioObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$crearUsuarioObj->validar();
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<img src="imagenes/recursos/envia.gif" alt="" title="" border=0>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>